function toFloat( strValor ) {
	if (strValor == null ) {
		return 0;
	}
	var retorno = limpaParaMascara(strValor,'valores');
    var procurado = /,/;
    retorno = retorno.replace(procurado, ".");
	if (retorno == "" ) {
		retorno = 0;
	}
	retorno = parseFloat(retorno);
	if (isNaN(retorno)) {
		retorno = 0;
	}
	return retorno;
}

function limpaZerosAEsquerda(inputString){
// usagem: limpaZerosAEsquerda('000123abc')
	var outputString  = '';
	var espacosAntes  = 0;
	for(var i = 0 ; i < inputString.length ; i++){
		if(inputString.charAt(i) == '0'){ espacosAntes++; }
		else {	break;	}
	}
	outputString =  inputString.substr(espacosAntes);
	return outputString;
}

function trimString(inputString,trimLeft,trimRight){
// usagem: trimString('  123abc   ',true,true)
	var outputString  = '';
	var espacosAntes  = 0;
	var espacosDepois = 0;
	if(trimLeft){
		for(var i = 0 ; i < inputString.length ; i++){
			if(inputString.charAt(i) == ' '){ espacosAntes++; }
			else {	break;	}
		}
	}
	if(trimRight){
		for(var i = inputString.length-1 ; i>0 ; i--){
			if(inputString.charAt(i) == ' '){ espacosDepois++; }
			else {	break;	}
		}
	}
	outputString =  inputString.substr(espacosAntes);
	outputString = outputString.substr(0,(outputString.length-espacosDepois));
	return outputString;
}

function mascaraAnoMes(texto) {
  var data;
  var ano;
  var mes;
	   
  var hoje;
	   
  hoje = new Date();
	   
  texto.maxLength = 6;
  data = texto.value;	   

  if (data.length == 6) {
  
	ano = data.substr(0,4);
	mes = data.substr(4,2) - 1;	
		  		  
	if (ano > hoje.getFullYear()) {
		alert('O ano nao pode ser maior que o corrente!!!');
  		texto.value = ""
	}	 		  
	else {
	  if (mes >= 0 && mes <= 11) {
	     if ((mes > hoje.getMonth()) && (ano == hoje.getFullYear())) {
 		    alert('O mes nao pode ser maior que o atual!!!');
		    texto.value = ""
	     }
	  }
	  else {
	     alert('Mes Invalido!!!');
   		 texto.value = ""
		 
	  } 	   
	}	
  }	
}

function formatoMonetario(oque){
    var retorno = '';
    for (contador=0;contador < oque.value.length;contador++) {
    	if( (oque.value.charAt(contador) != ".")) {retorno += oque.value.charAt(contador);}
    }
    var procurado = /,/;
    retorno = retorno.replace(procurado, ".");
    retorno = retornaFormatoMonetario(retorno-0);
    oque.value = retorno;
}

function formatoMonetarioSemCentavos(oque){
    var retorno = '';
    for (contador=0;contador < oque.value.length;contador++) {
    	if( (oque.value.charAt(contador) != ".")) {retorno += oque.value.charAt(contador);}
    }
    var procurado = /,/;
    retorno = retorno.replace(procurado, ".");
    retorno = retornaFormatoMonetario(retorno-0);
	oque.value = retorno.substr(0,(retorno.length-3));
}

// requerida pela funo formatoMonetario
function retornaFormatoMonetario(valor) {
    if((valor-0) != 0) { 
		return parteInteira(Math.floor(valor-0) + '') + parteFracao(valor-0); 
	}
	else return '';
}

function retornaFormatoMonetarioInteiro(valor) {
    if((valor-0) != 0) { 
		return parteInteira(Math.floor(valor-0) + ''); 
	}
	else return '';
}

// requerida pela funo formatoMonetario
function parteInteira(valor) {
    if (valor.length <= 3)
        return (valor == '' ? '0' : valor);
    else {
        var vezes = valor.length % 3;
        var retorno = (vezes == 0 ? '' : (valor.substring(0,vezes)));
        for (i=0 ; i < Math.floor(valor.length/3) ; i++) {
            if ( (vezes ==0) && (i ==0) )
                retorno += valor.substring(vezes + 3 * i,vezes + 3 * i + 3);
            else
                retorno += '.' + valor.substring(vezes + 3 * i,vezes + 3 * i + 3);
        }
        return (retorno);
    }
}

// requerida pela funo formatoMonetario
function parteFracao(resto) {
    resto = Math.round( ( (resto) - Math.floor(resto) ) *100);
    return (resto < 10 ? ',0' + resto : ',' + resto); }


function validaLengthData(oque,tipo){
// desabilitado em 29/09/2000 
	switch (tipo) {
		case 'DD/MM/AAAA': {
// ********************************************************************
			return true;
// ********************************************************************
			if( !(oque.value.length == 0 || oque.value.length == 10) ){
				alert("Esta data deve ter o formato dd/mm/aaaa");
				oque.focus();
				oque.select();
				return false;
			}
		break;	}
		case 'MM/AAAA': {
// ********************************************************************
			return true;
// ********************************************************************
			if( !(oque.value.length == 0 || oque.value.length == 7) ){
				alert("Esta data deve ter o formato mm/aaaa");
				oque.focus();
				oque.select();
				return false;
			}
		break;	}
	/********************************************************************
	Completa o campo da Conta Corrente com zeros a direita e testa a CC
	********************************************************************/
		case 'cc': {
			if(oque.value == ''){
				return true;
			}
			var retorno = '';
			retorno = limpaParaMascara(oque.value,'numeros');
	    if (retorno.length < 11) {
				var zeros = '00000000000';
				retorno = retorno + zeros.substr(0,(11-retorno.length));
				oque.value = retorno;
				mascara(oque,'cc')
				if (!isContaCorrente(limpaParaMascara(oque.value,'numeros'))) {
					alert("Conta Corrente invlida.")
					oque.focus();
					oque.select();
					return false;
				} else {
					return true;
				}
			}
			if (!isContaCorrente(limpaParaMascara(oque.value,'numeros'))) {
				alert("Conta Corrente invlida.")
				return false;
			}
		return true;
	/********************************************************************/
		break;	}
		case 'cep': {
			if(oque.value == ''){
				return true;
			}
			var retorno = '';
			retorno = limpaParaMascara(oque.value,'numeros');
		    if (retorno.length < 8) {
				var zeros = '00000000';
				retorno = retorno+zeros.substr(0,(8-retorno.length));
				if (retorno.length >= 5) { retorno = retorno.substr(0,5)+"-"+retorno.substr(5,7); }
				oque.value = retorno ;
			};
			if ( (limpaParaMascara(oque.value,'numeros') - 0) == 0) {
				alert(oque.value.substr(0,5)+"-"+oque.value.substr(5,7)+"\n"+"CEP invlido.");
				oque.value="";
				oque.focus();
				return;
			}
// ********************************************************************
			return true;
// ********************************************************************
			if( !(oque.value.length == 0 || oque.value.length == 9) ){
				alert("Cep deve ser da forma 99999-999");
				oque.focus();
				oque.select();
				return false;
			}
		break;	}
		case 'cpf': {
			if(oque.value == ''){
				return true;
			}
			var retorno = '';
			retorno = limpaParaMascara(oque.value,'numeros');
		    if (retorno.length < 11) {
				var cpf_zeros = '00000000000';
				retorno = cpf_zeros.substr(0,(11-retorno.length))+retorno;
				if (retorno.length >= 3) { retorno = retorno.substr(0,3)+"."+retorno.substr(3); }
				if (retorno.length >= 7) { retorno = retorno.substr(0,7)+"."+retorno.substr(7); }
				if (retorno.length >= 11) { retorno = retorno.substr(0,11)+"-"+retorno.substr(11); }
				oque.value = retorno ;
	            if (!validaCPF(retorno)) {
					alert("CPF invlido!");
					oque.focus();
					oque.select();
					return false;
				}
			};
// ********************************************************************
			return true;
// ********************************************************************
			if( !(oque.value.length == 0 || oque.value.length == 14) ){
				alert("CPF incompleto");
				oque.focus();
				oque.select();
				return false;
			}
		break;	}
		case 'cgc': {
// ********************************************************************
			return true;
// ********************************************************************
			if( !(oque.value.length == 0 || oque.value.length == 18) ){
				alert("CGC incompleto");
				oque.focus();
				oque.select();
				return false;
			}
		break;	}
	}
	return true;
}
// cnpj10, ddd, ramal, fone, celular, IE, cartao ??

// Mscaras de Validao
function mascara(oque,tipo,tamanho1,tamanho2){
    if ( (event.keyCode == 8) || (event.keyCode == 13) || (event.keyCode == 37) || (event.keyCode == 39) || (event.keyCode == 46) || (event.keyCode == 16))
        return ;
//alert(event.keyCode);
	if(tamanho1 != null) {
		tamanho1 = parseInt(tamanho1);
	}
	if(tamanho2 != null) {
		tamanho2 = parseInt(tamanho2);
	}
	var retorno = '';
	switch (tipo) {
		case 'cep': {
			oque.maxLength=9;
			retorno = limpaParaMascara(oque.value,'numeros');
			retorno = retorno.substr(0,9);
			if (retorno.length >= 8 && (retorno-0 == 0) )  {
				alert(retorno.substr(0,5)+"-"+retorno.substr(5,7)+"\n"+"CEP invlido.");
				oque.value="";
				oque.focus();
				return;
			}
			if (retorno.length >= 5) { retorno = retorno.substr(0,5)+"-"+retorno.substr(5,7); }
			oque.value = retorno.substr(0,9);
		break;	}
		case 'cpf': {
			oque.maxLength=14;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 3) { retorno = retorno.substr(0,3)+"."+retorno.substr(3); }
			if (retorno.length >= 7) { retorno = retorno.substr(0,7)+"."+retorno.substr(7); }
			if (retorno.length >= 11) { retorno = retorno.substr(0,11)+"-"+retorno.substr(11); }
			oque.value = retorno.substr(0,14);
			if (retorno.length >= 14) {
                if (!validaCPF(retorno)) {
					alert(oque.value+"\n"+"CPF invlido.");
					oque.value="";
					oque.focus();
					return;
				}
            }
		break;	}
		case 'cgc': {
			oque.maxLength=18;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2)  { retorno = retorno.substr(0,2)+"."+retorno.substr(2); }
			if (retorno.length >= 6)  { retorno = retorno.substr(0,6)+"."+retorno.substr(6); }
			if (retorno.length >= 10) { retorno = retorno.substr(0,10)+"/"+retorno.substr(10); }
			if (retorno.length >= 15) { retorno = retorno.substr(0,15)+"-"+retorno.substr(15); }
			oque.value = retorno.substr(0,18);
			if (retorno.length >= 18) {
                if (!validaCGC(retorno)) {
					alert(oque.value+"\n"+"CNPJ invlido.");
					oque.value="";
					oque.focus();
					return;
				}
            }
		break;	}
		case 'cnpj10': {
			oque.maxLength=10;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2)  { retorno = retorno.substr(0,2)+"."+retorno.substr(2); }
			if (retorno.length >= 6)  { retorno = retorno.substr(0,6)+"."+retorno.substr(6); }
			oque.value = retorno.substr(0,10);
		break;	}
		case 'ddd': {
			oque.maxLength=4;
			retorno = limpaParaMascara(oque.value,'numeros');
			retorno = retorno.substr(0,4);
			if (retorno.length >= 4 && (retorno-0 == 0) )  {
				alert("O DDD no pode ser "+retorno+".");
				oque.value="";
				oque.focus();
				return;
			}
			oque.value = retorno.substr(0,4);
		break;	}
		case 'ramal': {
			oque.maxLength=4;
			retorno = limpaParaMascara(oque.value,'numeros');
			oque.value = retorno.substr(0,4);
		break;	}
		case 'fone': {
			oque.maxLength=14;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2)  { retorno = "(" + retorno.substr(0,2)+") "+retorno.substr(2); }
			if (retorno.length >= 9)  { retorno = retorno.substr(0,9)+"."+retorno.substr(9); }
			oque.value = retorno.substr(0,14);
		break;	}
		case 'tel': {
			oque.maxLength=9;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 4)  { retorno = retorno.substr(0,4)+"."+retorno.substr(4); }
			oque.value = retorno.substr(0,9);
		break;	}
		case 'celular': {
			oque.maxLength=10;
			retorno = limpaParaMascara(oque.value,'numeros');
			//if (retorno.length >= 4)  { retorno = retorno.substr(0,4)+"."+retorno.substr(4); }
			oque.value = retorno.substr(0,10);
		break;	}
		case 'DD/MM/AA': {
			oque.maxLength=8;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2) { retorno = retorno.substr(0,2)+"/"+retorno.substr(2); }
			if (retorno.length >= 5) { retorno = retorno.substr(0,5)+"/"+retorno.substr(5); }
			oque.value = retorno.substr(0,8);
			if (retorno.length >= 8) {
				var dataEmTeste = retorno.substr(0,6)+'20'+retorno.substr(6,2) ;
                if (!retornaValidaData(dataEmTeste)) {
					oque.value="";
					oque.focus();
					return;
				}
            }
		break;	}
		case 'DD/MM/AAAA': {
			oque.maxLength=10;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2) { retorno = retorno.substr(0,2)+"/"+retorno.substr(2); }
			if (retorno.length >= 5) { retorno = retorno.substr(0,5)+"/"+retorno.substr(5); }
			oque.value = retorno.substr(0,10);
			if (retorno.length >= 10) {
            }
		break;	}
		case 'MM/AAAA': {
			oque.maxLength=7;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2) { retorno = retorno.substr(0,2)+"/"+retorno.substr(2); }
			oque.value = retorno.substr(0,7);
			if (retorno.length >= 7) {
				var dataEmTeste = '01/'+retorno
                if (!retornaValidaData(dataEmTeste)) {
					oque.value="";
					oque.focus();
					return;
				}
                if ((!ValidaAnoCorrente(retorno, tamanho1))){
					oque.value="";
					oque.focus();
					return;
				}
            }
		break;	}
		case 'HH:MM': {
			oque.maxLength=5;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 2) { retorno = retorno.substr(0,2)+":"+retorno.substr(2); }
			oque.value = retorno.substr(0,5);
		break;	}
		case 'IE': {
			oque.maxLength=14;
			//retorno = limpaParaMascara(oque.value,'numeros');
			//if (retorno.length >= 3) { retorno = retorno.substr(0,3)+"/"+retorno.substr(3); }
			//oque.value = retorno ;
		break;	}
		case 'caracter': {
			retorno = limpaParaMascara(oque.value,'letras');
			oque.value = retorno;
		break;	}
		case 'numero': {
			if(tamanho1 != null)
				oque.maxLength = tamanho1;
			retorno = limpaParaMascara(oque.value,'numeros');
			oque.value = retorno.substr(0,oque.maxLength);
		break;	}
		case 'virgula': {
			oque.maxlength = tamanho1+tamanho2+1;
			retorno = limpaParaMascara(oque.value,'valores');
			if (retorno.indexOf(',') == 0) {retorno = "0"+retorno;}
			if (retorno.indexOf(',') != tamanho1) {retorno = retorno.substring(0, tamanho1);}
			oque.value = retorno.substr(0,oque.maxLength);
		break;	}
		case 'valor': {
			if( (tamanho1 != null) && (tamanho2 != null) ) {
//				oque.maxLength=(tamanho1%3)+tamanho1+1+tamanho2;
				if(tamanho2 == 0){
					oque.maxLength = tamanho1;
				}
				else {
					oque.maxLength = tamanho1+1+tamanho2;
				}
			}
			retorno = limpaParaMascara(oque.value,'valores');
			retorno = limpaZerosAEsquerda(retorno);
			var posicaoPrimeiraVirgula = retorno.indexOf(".");
			retorno = limpaParaMascara(retorno,'numeros');
			if (posicaoPrimeiraVirgula > -1) { retorno = retorno.substr(0,posicaoPrimeiraVirgula)+"."+retorno.substr(posicaoPrimeiraVirgula,2);};
			//if (posicaoPrimeiraVirgula > -1) { retorno = retorno.substr(0,posicaoPrimeiraVirgula)+",00"};
			oque.value = retorno.substr(0,oque.maxLength);
		break;	}
		case 'percentual': {
			oque.maxLength=3;
			retorno = limpaParaMascara(oque.value,'numeros');
			oque.value = retorno.substr(0,3);
/*			oque.maxLength=6;
			retorno = limpaParaMascara(oque.value,'valores');
			if (retorno.length >= 3)  {
				retorno = retorno.substr(0,3)+","+retorno.substr(3); }
			var posicaoPrimeiraVirgula = retorno.indexOf(",");
			retorno = limpaParaMascara(retorno,'numeros');
			if (posicaoPrimeiraVirgula > -1) { 
				retorno = retorno.substr(0,posicaoPrimeiraVirgula)+","+retorno.substr(posicaoPrimeiraVirgula,2); 
			};
			oque.value = retorno ;
*/
		break;	}
		case 'cartao': {
			oque.maxLength=19;
			retorno = limpaParaMascara(oque.value,'numeros');
			if (retorno.length >= 4) { retorno = retorno.substr(0,4)+" "+retorno.substr(4); }
			if (retorno.length >= 9) { retorno = retorno.substr(0,9)+" "+retorno.substr(9); }
			if (retorno.length >= 14) { retorno = retorno.substr(0,14)+" "+retorno.substr(14); }
			oque.value = retorno.substr(0,19);
		break;	}
		case 'cc': {
			oque.maxLength=13;
			retorno = limpaParaMascara(oque.value,"numeros");
			if (retorno.length >= 5) { retorno = retorno.substr(0,4) + "-" + retorno.substr(4); }
			if (retorno.length >= 11) { retorno = retorno.substr(0,10) + "-" + retorno.substr(10); }
			oque.value = retorno;
		break;	}		
		// Marcio Ribeiro Justo -  11/11/2000
		case 'poupanca': {
			oque.maxLength=13;
			retorno = limpaParaMascara(oque.value,"numeros");
			if (retorno.length >= 5) { retorno = retorno.substr(0,4) + "-" + retorno.substr(4); }
			if (retorno.length >= 10) { retorno = retorno.substr(0,11) + "-" + retorno.substr(11); }
			oque.value = retorno;
		break;	}				
	}
}

function limpaParaMascara(sujeira,filtro){
	var retorno2 = '';
	var numeros = "0123456789";
	var valores = "0123456789,.";
	var letras  = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz&'-./\0123456789 ";
	switch (filtro){
		case 'numeros': {
			for ( i=0; i < sujeira.length; i++ ) {
				if( numeros.indexOf(sujeira.charAt(i))>-1 ) { 
					retorno2 += sujeira.charAt(i);
				} // fim if
			} // fim for
		break;	} // fim case numeros
		case 'valores': {
			for ( i=0; i < sujeira.length; i++ ) {
				if( valores.indexOf(sujeira.charAt(i))>-1 ) { 
					retorno2 += sujeira.charAt(i);
				} // fim if
			} // fim for
		break;	} // fim case numeros
		case 'letras': {
			for ( i=0; i < sujeira.length; i++ ) {
				if( letras.indexOf(sujeira.charAt(i))>-1 ) { 
					retorno2 += sujeira.charAt(i);
				} // fim if
			} // fim for
		break;	} // fim case numeros
	} // fim switch
	return retorno2;
} // fim funo limpaParaMascara

// Descrio : Funo de validao de CPF.
function validaCPF (CPF) {
    var soma;
    var Resto;
    var i;
    CPF = limpaCampo(CPF);    
    if (CPF.length != 11) { for(var countZeros=0 ; countZeros < ((11-CPF.length)+2) ; countZeros++){ CPF = "0"+CPF; } };
	if(CPF == '00000000000'){ return false; }
    soma = 0;
    for(i=0 ; i<9 ; i++) {
        soma = soma + eval(CPF.charAt(i) * (10 - i));
    }
    Resto = 11 - ( soma - (parseInt(soma / 11) * 11) );
    if ( (Resto == 10) || (Resto == 11) ) { Resto = 0; }
    if ( Resto != eval( (CPF.charAt(9) ) ) ) { return false; }
	soma = 0;
    for (i = 0;i<10;i++) {
        soma = soma + eval(CPF.charAt(i) * (11 - i));
	} 
    Resto = 11 - ( soma - (parseInt(soma / 11) * 11) );
    if ( (Resto == 10) || (Resto == 11)) {
		Resto = 0;
	}
    if ( Resto != eval( (CPF.charAt(10)) )) {
		return false;
	}
	return true;
}

/*
Descrio : Funo de checar validao de CPF.
*/
function chk_CPF(ti) {
	if (!validaCPF(ti.value)) {
		alert("CPF INVLIDO");
		ti.focus();
		return false;
	}
	return true;
}

/*
Descrio : Funo de checar validao de CGC.
*/
function chk_CGC(ti) {
	if (!validaCGC(ti.value)) {
		alert("CGC INVLIDO");
		ti.focus();
		return false;
	}
	return true;
}

/*
Descrio : Clculo do Mdulo 10
*/
function calcMod10(field, start, finish) {
	var t_i      = 0;
	var t_sum    = 0;
	var t_aux    = 0;
	var t_digito = 0;
	var t_peso   = 0;
	var t_char   = 'z';
	t_peso = start;
	for(t_i=8 ; t_i>=4 ; t_i--) {
		t_char = field.charAt(t_i);
		t_aux  = (t_char - '0') * t_peso;
		t_sum  = t_sum + (t_aux <= 9 ? t_aux : t_aux - 9);
		t_peso = t_peso > finish ? --t_peso : start;
	}
	t_aux    = t_sum % 10;
	t_sum    = (t_aux <= 0 ? 10 : t_aux);
	t_digito = 10 - t_sum;
	return t_digito;
}

/*
Descrio : Funo de validao de CGC.
*/
function validaCGC(field) {
    // Limpa caracteres especiais
   field = limpaCampo(field);    
   if ( (field == "") || (field == " ") || (field == '00000000000000')) return false;
   if (field.length != 14) {
        return false;
    }
	first_digit  = field.charAt(12); // Primeiro digito do final
	second_digit = field.charAt(13); // Segundo digito do final
	field = field.substring(0,12); // Copia os 11 primeiros nmeros do CGC
	first_verified  = calcMod11(field,5,2);  // Atravs do modulo 11 descobre qual  o primeiro digito do final
	second_verified = calcMod11(field + first_verified,6,2);  // Atravs do modulo 11 descobre qual  o segundo digito do final
    /*
        Se os dois digitos gerados pelo modulo11 forem iguais aos dois ltimos
        digitos digitados pelo usurio, validao de CGC OK.
    */	
	if( (first_verified == first_digit) && (second_verified==second_digit) ) { return true; } 
	else {
//		alert("CGC Invlido"); modificado por Eduardo Pinheiro em 6/7/2000 para o alert ser disparado somente pela funo que chama a validao
        return false;
	}
}

/*
Descrio : Clculo do Mdulo 11
*/
function calcMod11(field,start, finish) {
	var t_i      = 0;
	var t_sum    = 0;
	var t_aux    = 0;
	var t_digito = 0;
	var t_peso   = 0;
	var t_tam    = 0;
	var t_char   = 'z';
	t_peso = start;
	t_tam = field.length >= 13 ? t_tam = 13 : t_tam = 12;
	for(t_i=0 ; t_i< t_tam ; t_i++) {
		t_char = field.charAt(t_i);
		t_sum = t_sum + ( (parseInt(t_char)) * t_peso);
		t_peso = t_peso > finish ? --t_peso : (start + (9 - start));
	}
	t_aux = t_sum % 11;
	t_aux = 11 - t_aux;
	t_digito = (t_aux >= 10 ? 0 : t_aux);
	return t_digito;
}

/*
Descrio : Funo para extrair caracteres indesejados de um campo.
*/
function limpaCampo(field) {
var t_field='';
	for (i=0;i<field.length;i++) {
		if( (field.charAt(i) != ".") && (field.charAt(i) != "-") && (field.charAt(i) != "/") && (field.charAt(i) != ",")) {
			t_field = t_field + field.charAt(i);
		}	
	}
return t_field;
}

/*
Descrio : Funo de mscara para valores numricos
*/
function formataValor(money) {
	
	if ( (money==" ") || (money=="") ) {
		return money;
	}
	
	t_char = money.charAt(money.length - 3); // Verifica se existe virgula no valor.
	t_char2 = money.charAt(money.length - 2); // Verifica se existe virgula no valor.
	var t_money = '';
	var t_str1 = '';
	var t_str2 = '';
	var t_j = 0;
		
	if ( (t_char != ',') && (t_char != '.') && (t_char2 != ',') && (t_char2 != '.') ) { // Caso no tenha a vrgula ou ponto na segunda posio

		// Limpa
		t_money = limpaCampo(money);

		for(i = t_money.length - 1; i>=0 ; i--) {
			t_j++;
			if ( (t_j == 3) && (i!=0) ) {
				t_str1 = t_money.substring(i, t_money.length);
				t_str2 = t_money.substring(0, i);			
				t_money  = t_str2 + '.' + t_str1;
				t_j = 0;
			}
		}
		t_money += ',00'
	}
	else { // Caso tenha a virgula ou o ponto na segunda posio
		
		// Limpa
		t_money = limpaCampo(money);
		
		for(i = t_money.length - 3; i>=0 ; i--) {
			t_j++;
			if ( (t_j == 3) && (i!=0) ) {
				t_str1 = t_money.substring(i, money.length);
				t_str2 = t_money.substring(0, i);				
				t_money  = t_str2 + '.' + t_str1;
				t_j = 0;
			}
		}
		t_money = t_money.substring(0,t_money.length - 2) + ',' + t_money.substring(t_money.length - 2 , t_money.length);
	}
	return t_money;
}

/*
Descrio : Funo de mscara para CPF
*/
function formataCPF(CPF) {

	var j = 0;
	var t_cpf = '';

    CPF = limpaCampo(CPF);    
    if (CPF.length == 11) {
       	for(i=0 ; i<CPF.length - 2 ; i++) {
    		if (j==3) {
    			t_cpf += '.';	
    			j=0;
    		}
    		j++;
    		t_cpf += CPF.charAt(i);	
    	}
    	t_cpf += '-';
    	t_cpf += CPF.charAt(9);
    	t_cpf += CPF.charAt(10);
    	return t_cpf;
    }
    else {
        return CPF;
    }
}

/*
Descrio : Funo de mscara para CGC
*/
function formataCGC(CGC) {
	var t_cgc = '';
    CGC = limpaCampo(CGC);    
    if (CGC.length == 14) {
    	t_cgc = CGC.substring(0,2);
    	t_cgc += '.';
    	t_cgc += CGC.substring(2,5);	
    	t_cgc += '.';
    	t_cgc += CGC.substring(5,8);	
    	t_cgc += '-';
    	t_cgc += CGC.substring(8,12);	
    	t_cgc += '/';		
    	t_cgc += CGC.charAt(12);
    	t_cgc += CGC.charAt(13);
    	return t_cgc;
    }
    else {
        return CGC;
    }
}

/*
Descrio : Funo de mscara para data
FUNO NAO IMPLEMENTADA TOTALMENTE
*/
function formataData(data) {
	var t_data = '';
    data = limpaCampo(data);    

	if ( (data=="") || (data==" ") ) {
		return t_data;
	}
	data = limpaCampo(data);
    if (data.length == 8) {
    	t_data = data.substring(0,2);
    	t_data += '/'
    	t_data += data.substring(2,4);
    	t_data += '/'
    	t_data += data.substring(4,data.length);
    }
    else if (data.length == 6) {
    	t_data += data.substring(0,2);
    	t_data += '/'
    	t_data += data.substring(2,data.length);
    }
    else
        return data;
	
	return t_data;
}

/*
Descrio : Funcao de verificao se a data informada  valida.
*/
function validaData(data,tipoTratamento) {
	var falhou = false;
    t_data = data.value;
    t_data = limpaCampo(t_data);
	dia = t_data.substr(0,2);
	mes = t_data.substr(2,2) - 1;
	ano = t_data.substr(4,4);
	dataCorr = new Date();
    dataObj = new Date(ano,mes,dia);
	diaObj = dataObj.getDate();
	mesObj = dataObj.getMonth();
	anoObj = dataObj.getFullYear();
	if ( ( t_data.length < 8 ) || (dia != diaObj) || (mes != mesObj) || (ano != anoObj) )
        falhou = true;
	if ( falhou ) {
        alert("Data invlida"); data.focus(); data.select();
    }
    // Data no maior ou igual a data do dia
    if (tipoTratamento == 0 ) {
        if (dataObj >= dataCorr) {
            falhou = true;
        }
    }       
    // Data no maior a data do dia
    if (tipoTratamento == 1) {
        if (dataObj > dataCorr) {
            falhou = true;
        }
    }
    if (tipoTratamento == 2) {
            falhou = true;
    }
    // Ms no pode passar de dois meses atrs
    if (tipoTratamento == 3) {
        mesCorr = dataCorr.getMonth();
        anoCorr = dataCorr.getFullYear();
        mes_ano_Corr = anoCorr + mesCorr;
        mes_ano_Obj = anoObj + mesObj;
        return (mes_ano_Corr-mes_ano_Obj);
    }

}
	
function dataValida(dataValor,tipoTeste){
	dataValor = limpaCampo(dataValor);

	var dia = dataValor.substr(0,2);
	var mes = dataValor.substr(2,2) - 1;
	var ano = dataValor.substr(4,4);

	var dataObj = new Date(ano,mes,dia);
	var diaObj = dataObj.getDate();
	var mesObj = dataObj.getMonth();
	var anoObj = dataObj.getFullYear();
	dataObj.setHours(0);
	dataObj.setMinutes(0);
	dataObj.setSeconds(0);
	dataObj.setMilliseconds(0);

	var dataCorr = new Date();
	var diaCorr = dataCorr.getDate();
	var mesCorr = dataCorr.getMonth();
	var anoCorr = dataCorr.getFullYear();
	dataCorr.setHours(0);
	dataCorr.setMinutes(0);
	dataCorr.setSeconds(0);
	dataCorr.setMilliseconds(0);

	var data120 = new Date(anoCorr-120,mesCorr,diaCorr);
	data120.setHours(0);
	data120.setMinutes(0);
	data120.setSeconds(0);
	data120.setMilliseconds(0);

	if ( ( dataValor.length < 8 ) || (dia != diaObj) || (mes != mesObj) || (ano != anoObj) )
		return false;
	if(tipoTeste != null && tipoTeste != 'anterior' && tipoTeste != 'ult120anos' && tipoTeste != 'futura' && tipoTeste != 'anteriorOUigual' && tipoTeste != '2mesesMMAAAA' && tipoTeste != 'futuraOUigual') {
		alert("parmetro de teste de data invlido");
		return false;
	}
	switch (tipoTeste){
		case 'anterior':{
			if (dataObj >= dataCorr) {
				return false; }
		break; }
		case 'ult120anos':{
			if (dataObj < data120) {
				return false; }
			if (dataObj >= dataCorr) {
				return false; }
		break; }
		case 'futura':{
			if (dataObj <= dataCorr) {
				return false; }
		break; }
		case 'futuraOUigual':{
			if (dataObj < dataCorr) {
				return false; }
		break; }
		case 'anteriorOUigual':{
			if (dataObj > dataCorr) {
				return false; }
		break; }
		case '2mesesMMAAAA':{
			dia = '01';
			dataObj = new Date(ano,mes,dia);
			dataObj.setHours(0);
			dataObj.setMinutes(0);
			dataObj.setSeconds(0);
			dataObj.setMilliseconds(0);
			if( mesCorr >= 2) {mesCorr -= 2;} // mes a partir de maro
			else {
				anoCorr -= 1;
				if(mesCorr == 0){mesCorr = 10};
				if(mesCorr == 1){mesCorr = 11};
			}
			data2meses = new Date(anoCorr,mesCorr,dia);
			data2meses.setHours(0);
			data2meses.setMinutes(0);
			data2meses.setSeconds(0);
			data2meses.setMilliseconds(0);
			if (dataObj < data2meses) {
				return false; }
		break; }
	}
	return true;
}

function retornaValidaData(t_data) {
// recebe o value da data e retorna true se  data vlida ou false caso contrrio, emitindo aviso
	var falhou = false;
    t_data = limpaCampo(t_data);
	dia = t_data.substr(0,2);
	mes = t_data.substr(2,2) - 1;
	ano = t_data.substr(4,4);
	dataCorr = new Date();
    dataObj = new Date(ano,mes,dia);
	diaObj = dataObj.getDate();
	mesObj = dataObj.getMonth();
	anoObj = dataObj.getFullYear();
	if ( ( t_data.length < 8 ) || (dia != diaObj) || (mes != mesObj) || (ano != anoObj) )
        falhou = true;
	if ( falhou ) {
		return false;
    }
	else 
		return true;
}
function ValidaAnoCorrente(t_data, tamanho)
{
		//funo para retorna se o ano  maior ou igual a ano corrente

		var t_DataAtual = new Date();
		if(tamanho !=99)
			return true;
		
		if((t_data.substr(3,4) - t_DataAtual.getFullYear()) < 0)
		{
			alert("Ano invlido, o ano deve ser maior ou igual ao ano corrente");
			return false;			
		}
		return true;
}

/* Funo de impresso */
function imprimir(){  
	var WebBrowser = '<OBJECT ID="WebBrowser1" WIDTH=0 HEIGHT=0 CLASSID="CLSID:8856F961-340A-11D0-A96B-00C04FD705A2"></OBJECT>';
	document.body.insertAdjacentHTML('beforeEnd', WebBrowser);
	window.onerror=printerrortrap;  // Configura o tratamento de erros na impresso do documento
	WebBrowser1.ExecWB(6, 2);
	window.onerror = null ;  //  Libera o tratamento de erros
	WebBrowser1.outerHTML = "";  
}

/* Funo de tratamento de erro de impresso */
function printerrortrap(){
	alert("Impresso do documento no ocorreu.");
	window.onerror = null ;
	WebBrowser1.outerHTML="";
	return true;
}

/* Troca o estilo  */
function change_style (tag,tipo1) {
	tam = document.all.tags(tag);
	for (i=0; i<tam.length; i++) {
    	tam(i).style.textDecoration = tipo1;
	}
}

function selecionaItemCombo(combo,valor) {
   for (var i=0; i < combo.length ; i++) {
      if (combo.options[i].value==valor)
         combo.options[i].selected=true;
   }
}

function openModalAutorizacao(pagina) { //v2.0
         return showModalDialog(pagina, '', 'unardorned:no;scroll:no;resizable:no;status:no;center=yes;help:no;dialogWidth:320px;dialogHeight:180px;');
}

function zerosAntes(stringQualquer){
	if(stringQualquer < 10){ return '0'+stringQualquer;}
	else return stringQualquer;
}
		
function manipulaDatas(strData,nDias,futuroOuPassado) {
    var dateArray = strData.split('/');
    sdate = new Date(dateArray[2],dateArray[1]-1,dateArray[0]);
	if(futuroOuPassado == '+'){ sdate.setDate(sdate.getDate() + nDias); }
	if(futuroOuPassado == '+'){ sdate.setDate(sdate.getDate() - nDias); }
    return zerosAntes(sdate.getDate()) + '/' + zerosAntes((sdate.getMonth()+1)) + '/' + sdate.getYear();
}

function periodoDatas(dataFimPeriodo,dataInicioPeriodo) {
	var dateFim = new Date(dataFimPeriodo.substring(6,10),dataFimPeriodo.substring(3,5)-1,dataFimPeriodo.substring(0,2));
	var dateInicio = new Date(dataInicioPeriodo.substring(6,10),dataInicioPeriodo.substring(3,5)-1,dataInicioPeriodo.substring(0,2));
	return ((dateFim - dateInicio)/86400000);
}

function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}

function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
}

function toData(stringData){
	var dia;
	var mes;
	var ano;
	if (stringData.substr(0,1) == "0") dia = stringData.substr(1,1);
	else dia = stringData.substr(0,2);
	if (stringData.substr(3,1) == "0") mes = (stringData.substr(4,1)-1);
	else  mes = (stringData.substr(3,2)-1);
	ano = stringData.substr(6,4);
	var tmp_Data = new Date(ano,mes,dia);
	return (tmp_Data);
}

function limitaTexto(objText,limiteChars){
	if(objText.value.length > limiteChars){
		objText.value = objText.value.substr(0,limiteChars);
	}
}

function getRandom() {
   return Math.random()
}

/* funo para validar Conta Corrente
 programada por Fernando P. de Oliveira */
function isContaCorrente(cc) {
	var i
	var digito10 = cc.charAt(9);
	var digito11 = cc.charAt(10);
	var tmpSomDigito10;
	var arrPesosMod10 = new Array(2,1,2,1,2);
	var arrPesosMod11 = new Array(8,9,2,3,4,5,6,7,8,9)
	var somDigito10 = 0;
	var somDigito11 = 0;
	for (i=0; i<5; i++) {
		tmpSomDigito10 = arrPesosMod10[i] * parseInt(cc.charAt(i+4));
		while (tmpSomDigito10 > 10) {
			tmpSomDigito10 -= 9;
		}
		somDigito10 += tmpSomDigito10;
	}
	if (somDigito10 == 10) {
		somDigito10 = 1;
	}
	mod10 = 10 - (somDigito10 % 10);
	for (i=0; i<10; i++) {
		somDigito11 += arrPesosMod11[i] * parseInt(cc.charAt(i));
	}
	mod11 = somDigito11 % 11;
	if (mod11 > 10) {
		mod11 = mod11-9;
	}
	if (mod11 == 10) {
		mod11 = 0;
	}
	if ( (digito10 == mod10) && (digito11 == mod11) ) {
		return true;
	} else {
		return false;
	}
}

function desabilitaCampo(str) {
	var arrDesabilita = new Array();
	var i;
	arrDesabilita = str.split(",")
	for (i=0; i<arrDesabilita.length; i++) {
		obj = eval("document.form."+arrDesabilita[i])
		if (obj != null) {
		obj.disabled = true;
				obj.style.backgroundColor = "#E0E0E0";
		}
	}
}

function habilitaCampo(str) {
	var arrHabilita = new Array();
	var i;
	arrHabilita = str.split(",")
	for (i=0; i<arrHabilita.length; i++) {
		obj = eval("document.form."+arrHabilita[i])
		if (obj != null) {
			obj.disabled = false;
				obj.style.backgroundColor = "#FFFFFF";
		}
	}
}


function checkEmailAddress(field) {
var goodEmail = field.value.match(/\b(^(\S+@).+((\.com)|(\.net)|(\.edu)|(\.mil)|(\.gov)|(\.org)|(\..{2,2}))$)\b/gi);
if (goodEmail){
   good = true
} else {
   alert('Entre com um e-mail vlido.')
   field.focus()
   field.select()
   good = false
   }
}

function retornaValidaHora(hora){
	var h = "";
	var m = "";
	if (hora.length == 5) {
		h = hora.substring(0,2);
		m = hora.substring(3,5);
		if ((h > 23)||(m>59)) return false; else return true;
	} else return false;
}
