# MySQL-Front Dump 2.5
#
# Host: localhost   Database: futebol
# --------------------------------------------------------
# Server version 4.0.15-nt


#
# Table structure for table 'campeonato'
#

DROP TABLE IF EXISTS campeonato;
CREATE TABLE campeonato (
  id int(10) unsigned NOT NULL auto_increment,
  nome varchar(50) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'campeonato'
#

INSERT INTO campeonato (id, nome) VALUES("1", "Brasileiro 2003");


#
# Table structure for table 'desempenho'
#

DROP TABLE IF EXISTS desempenho;
CREATE TABLE desempenho (
  id int(10) unsigned NOT NULL auto_increment,
  campeonato int(10) unsigned default NULL,
  grupo int(10) unsigned default NULL,
  time int(10) unsigned default NULL,
  pg int(10) default '0',
  v int(10) unsigned default '0',
  e int(10) unsigned default '0',
  d int(10) unsigned default '0',
  gp int(10) unsigned default '0',
  gc int(10) unsigned default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'desempenho'
#

INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("24", "1", "1", "24", "52", "14", "10", "15", "44", "51");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("23", "1", "1", "23", "45", "11", "12", "15", "45", "56");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("22", "1", "1", "22", "62", "17", "11", "10", "68", "57");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("21", "1", "1", "21", "62", "15", "14", "9", "40", "30");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("20", "1", "1", "20", "73", "21", "10", "8", "77", "48");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("19", "1", "1", "19", "44", "10", "15", "14", "53", "62");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("18", "1", "1", "18", "42", "13", "11", "14", "65", "59");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("17", "1", "1", "17", "53", "15", "8", "15", "70", "61");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("16", "1", "1", "16", "42", "9", "12", "17", "44", "60");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("15", "1", "1", "15", "60", "17", "7", "14", "49", "45");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("14", "1", "1", "14", "54", "15", "9", "14", "58", "59");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("13", "1", "1", "13", "37", "9", "10", "19", "40", "56");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("12", "1", "1", "12", "53", "14", "11", "13", "62", "50");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("11", "1", "1", "11", "40", "10", "10", "18", "43", "59");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("10", "1", "1", "10", "42", "10", "10", "19", "41", "63");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("9", "1", "1", "9", "52", "14", "10", "14", "52", "59");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("8", "1", "1", "8", "49", "12", "13", "14", "45", "49");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("7", "1", "1", "7", "79", "24", "7", "8", "79", "42");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("6", "1", "1", "6", "55", "16", "7", "15", "49", "54");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("5", "1", "1", "5", "65", "19", "8", "12", "59", "50");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("4", "1", "1", "4", "52", "13", "11", "14", "53", "50");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("3", "1", "1", "3", "40", "10", "10", "19", "51", "72");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("2", "1", "1", "2", "44", "12", "8", "18", "49", "58");
INSERT INTO desempenho (id, campeonato, grupo, time, pg, v, e, d, gp, gc) VALUES("1", "1", "1", "1", "62", "16", "14", "8", "66", "52");


#
# Table structure for table 'grupo'
#

DROP TABLE IF EXISTS grupo;
CREATE TABLE grupo (
  id int(10) unsigned NOT NULL auto_increment,
  campeonato int(10) unsigned default NULL,
  nome varchar(50) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'grupo'
#

INSERT INTO grupo (id, campeonato, nome) VALUES("1", "1", "Pontos Corridos");


#
# Table structure for table 'jogo'
#

DROP TABLE IF EXISTS jogo;
CREATE TABLE jogo (
  id int(10) unsigned NOT NULL auto_increment,
  campeonato int(10) unsigned default NULL,
  grupo int(10) unsigned default NULL,
  mandante int(10) unsigned default NULL,
  visitante int(10) unsigned default NULL,
  gol_m int(3) unsigned default NULL,
  gol_v int(3) unsigned default NULL,
  data date default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'jogo'
#

INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("1", "1", "1", "2", "13", "2", "0", "2003-03-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("2", "1", "1", "14", "23", "4", "2", "2003-03-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("3", "1", "1", "12", "18", "2", "2", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("4", "1", "1", "6", "10", "2", "0", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("5", "1", "1", "7", "21", "2", "2", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("6", "1", "1", "9", "5", "1", "1", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("7", "1", "1", "11", "3", "0", "0", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("8", "1", "1", "15", "19", "1", "1", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("9", "1", "1", "16", "22", "2", "2", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("10", "1", "1", "24", "8", "1", "1", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("11", "1", "1", "4", "1", "0", "3", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("12", "1", "1", "20", "17", "2", "2", "2003-03-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("13", "1", "1", "1", "20", "0", "0", "2003-04-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("14", "1", "1", "5", "15", "0", "1", "2003-04-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("15", "1", "1", "10", "11", "1", "1", "2003-04-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("16", "1", "1", "13", "14", "3", "1", "2003-04-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("17", "1", "1", "3", "9", "1", "2", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("18", "1", "1", "8", "4", "3", "3", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("19", "1", "1", "18", "24", "1", "2", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("20", "1", "1", "19", "16", "1", "0", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("21", "1", "1", "21", "6", "3", "2", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("22", "1", "1", "17", "2", "3", "0", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("23", "1", "1", "22", "7", "2", "4", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("24", "1", "1", "23", "12", "6", "4", "2003-04-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("25", "1", "1", "18", "20", "2", "1", "2003-04-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("26", "1", "1", "2", "1", "1", "2", "2003-04-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("27", "1", "1", "15", "3", "2", "0", "2003-04-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("28", "1", "1", "20", "8", "2", "0", "2003-04-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("29", "1", "1", "4", "18", "6", "1", "2003-04-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("30", "1", "1", "6", "22", "1", "1", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("31", "1", "1", "11", "21", "1", "1", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("32", "1", "1", "12", "13", "1", "1", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("33", "1", "1", "14", "17", "2", "0", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("34", "1", "1", "16", "5", "2", "1", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("35", "1", "1", "24", "23", "2", "1", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("36", "1", "1", "7", "19", "3", "0", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("37", "1", "1", "9", "10", "4", "1", "2003-04-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("38", "1", "1", "1", "14", "3", "2", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("39", "1", "1", "3", "16", "3", "1", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("40", "1", "1", "5", "7", "3", "4", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("41", "1", "1", "8", "2", "1", "1", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("42", "1", "1", "13", "24", "2", "1", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("43", "1", "1", "19", "6", "1", "1", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("44", "1", "1", "21", "9", "1", "1", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("45", "1", "1", "23", "4", "2", "2", "2003-04-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("46", "1", "1", "10", "15", "3", "1", "2003-04-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("47", "1", "1", "17", "12", "3", "1", "2003-04-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("48", "1", "1", "22", "11", "3", "1", "2003-04-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("49", "1", "1", "21", "13", "1", "1", "2003-04-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("50", "1", "1", "3", "1", "2", "4", "2003-04-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("51", "1", "1", "9", "20", "0", "2", "2003-04-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("52", "1", "1", "6", "14", "1", "0", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("53", "1", "1", "11", "2", "1", "0", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("54", "1", "1", "15", "4", "2", "1", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("55", "1", "1", "16", "24", "1", "1", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("56", "1", "1", "19", "18", "4", "4", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("57", "1", "1", "22", "23", "3", "1", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("58", "1", "1", "10", "17", "0", "0", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("59", "1", "1", "7", "12", "4", "1", "2003-04-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("60", "1", "1", "5", "8", "1", "0", "2003-04-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("61", "1", "1", "17", "3", "3", "1", "2003-04-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("62", "1", "1", "24", "15", "0", "3", "2003-04-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("63", "1", "1", "1", "5", "1", "2", "2003-04-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("64", "1", "1", "14", "7", "1", "1", "2003-04-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("65", "1", "1", "13", "10", "0", "1", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("66", "1", "1", "2", "6", "5", "2", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("67", "1", "1", "4", "9", "1", "1", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("68", "1", "1", "8", "19", "0", "0", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("69", "1", "1", "12", "16", "7", "0", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("70", "1", "1", "20", "11", "4", "0", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("71", "1", "1", "18", "22", "5", "2", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("72", "1", "1", "23", "21", "1", "0", "2003-04-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("73", "1", "1", "3", "13", "2", "1", "2003-05-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("74", "1", "1", "9", "24", "2", "1", "2003-05-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("75", "1", "1", "7", "2", "5", "2", "2003-05-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("76", "1", "1", "5", "17", "2", "1", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("77", "1", "1", "11", "4", "1", "2", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("78", "1", "1", "15", "12", "2", "1", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("79", "1", "1", "16", "14", "1", "1", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("80", "1", "1", "19", "1", "2", "1", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("81", "1", "1", "21", "18", "2", "0", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("82", "1", "1", "22", "8", "3", "2", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("83", "1", "1", "6", "20", "1", "3", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("84", "1", "1", "10", "23", "0", "0", "2003-05-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("85", "1", "1", "12", "9", "1", "1", "2003-05-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("86", "1", "1", "20", "7", "0", "2", "2003-05-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("87", "1", "1", "17", "19", "3", "2", "2003-05-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("88", "1", "1", "4", "6", "3", "0", "2003-05-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("89", "1", "1", "2", "16", "2", "0", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("90", "1", "1", "1", "22", "2", "2", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("91", "1", "1", "8", "21", "3", "0", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("92", "1", "1", "18", "10", "2", "2", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("93", "1", "1", "23", "3", "1", "1", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("94", "1", "1", "24", "11", "2", "1", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("95", "1", "1", "14", "15", "3", "0", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("96", "1", "1", "13", "5", "1", "0", "2003-05-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("97", "1", "1", "10", "8", "3", "0", "2003-05-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("98", "1", "1", "21", "1", "2", "0", "2003-05-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("99", "1", "1", "16", "20", "1", "1", "2003-05-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("100", "1", "1", "3", "18", "2", "0", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("101", "1", "1", "5", "23", "1", "1", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("102", "1", "1", "6", "24", "1", "1", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("103", "1", "1", "7", "4", "1", "1", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("104", "1", "1", "11", "12", "1", "0", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("105", "1", "1", "15", "2", "1", "1", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("106", "1", "1", "19", "13", "2", "1", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("107", "1", "1", "22", "17", "2", "0", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("108", "1", "1", "9", "14", "1", "1", "2003-05-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("109", "1", "1", "17", "21", "1", "1", "2003-05-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("110", "1", "1", "1", "10", "3", "0", "2003-05-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("111", "1", "1", "4", "16", "3", "0", "2003-05-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("112", "1", "1", "23", "19", "1", "0", "2003-05-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("113", "1", "1", "2", "9", "4", "1", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("114", "1", "1", "8", "3", "1", "0", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("115", "1", "1", "12", "6", "0", "2", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("116", "1", "1", "13", "22", "1", "2", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("117", "1", "1", "14", "11", "2", "1", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("118", "1", "1", "18", "5", "1", "3", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("119", "1", "1", "24", "7", "2", "1", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("120", "1", "1", "20", "15", "2", "1", "2003-05-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("121", "1", "1", "5", "14", "3", "2", "2003-05-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("122", "1", "1", "7", "6", "2", "0", "2003-05-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("123", "1", "1", "10", "2", "2", "1", "2003-05-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("124", "1", "1", "19", "21", "0", "0", "2003-05-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("125", "1", "1", "15", "18", "2", "1", "2003-05-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("126", "1", "1", "3", "12", "2", "1", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("127", "1", "1", "8", "13", "2", "1", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("128", "1", "1", "11", "16", "3", "1", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("129", "1", "1", "17", "9", "6", "2", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("130", "1", "1", "20", "22", "3", "2", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("131", "1", "1", "4", "24", "4", "0", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("132", "1", "1", "23", "1", "2", "2", "2003-06-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("133", "1", "1", "13", "11", "3", "1", "2003-06-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("134", "1", "1", "14", "20", "1", "2", "2003-06-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("135", "1", "1", "24", "10", "2", "1", "2003-06-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("136", "1", "1", "1", "8", "1", "1", "2003-06-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("137", "1", "1", "2", "19", "4", "2", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("138", "1", "1", "12", "5", "1", "2", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("139", "1", "1", "16", "23", "0", "0", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("140", "1", "1", "18", "17", "3", "0", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("141", "1", "1", "21", "4", "1", "0", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("142", "1", "1", "6", "15", "1", "0", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("143", "1", "1", "22", "3", "2", "2", "2003-06-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("144", "1", "1", "10", "12", "2", "3", "2003-06-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("145", "1", "1", "5", "2", "2", "0", "2003-06-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("146", "1", "1", "19", "14", "0", "2", "2003-06-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("147", "1", "1", "3", "24", "2", "1", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("148", "1", "1", "4", "22", "1", "2", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("149", "1", "1", "11", "18", "1", "2", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("150", "1", "1", "13", "15", "0", "0", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("151", "1", "1", "17", "16", "1", "2", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("152", "1", "1", "20", "21", "0", "1", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("153", "1", "1", "7", "1", "0", "0", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("154", "1", "1", "23", "9", "1", "2", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("155", "1", "1", "6", "8", "1", "0", "2003-06-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("156", "1", "1", "9", "7", "3", "0", "2003-06-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("157", "1", "1", "3", "5", "2", "2", "2003-06-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("158", "1", "1", "1", "13", "3", "2", "2003-06-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("159", "1", "1", "23", "6", "2", "0", "2003-06-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("160", "1", "1", "15", "17", "2", "1", "2003-06-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("161", "1", "1", "22", "12", "1", "0", "2003-06-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("162", "1", "1", "8", "11", "2", "2", "2003-06-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("163", "1", "1", "18", "9", "2", "2", "2003-06-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("164", "1", "1", "19", "4", "3", "3", "2003-06-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("165", "1", "1", "21", "24", "2", "1", "2003-06-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("166", "1", "1", "10", "14", "5", "2", "2003-06-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("167", "1", "1", "16", "7", "0", "1", "2003-06-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("168", "1", "1", "5", "21", "2", "0", "2003-06-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("169", "1", "1", "9", "8", "0", "2", "2003-06-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("170", "1", "1", "11", "23", "0", "1", "2003-06-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("171", "1", "1", "13", "16", "1", "4", "2003-06-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("172", "1", "1", "20", "3", "4", "0", "2003-06-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("173", "1", "1", "4", "10", "1", "0", "2003-06-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("174", "1", "1", "6", "18", "2", "0", "2003-06-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("175", "1", "1", "14", "22", "0", "1", "2003-06-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("176", "1", "1", "24", "2", "1", "0", "2003-06-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("177", "1", "1", "7", "15", "3", "2", "2003-06-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("178", "1", "1", "17", "1", "1", "1", "2003-06-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("179", "1", "1", "22", "21", "1", "1", "2003-07-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("180", "1", "1", "23", "17", "1", "4", "2003-07-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("181", "1", "1", "8", "7", "1", "0", "2003-07-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("182", "1", "1", "1", "18", "3", "2", "2003-07-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("183", "1", "1", "16", "15", "1", "1", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("184", "1", "1", "2", "4", "3", "1", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("185", "1", "1", "13", "9", "2", "0", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("186", "1", "1", "14", "12", "3", "2", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("187", "1", "1", "20", "5", "3", "1", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("188", "1", "1", "24", "19", "1", "4", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("189", "1", "1", "10", "3", "1", "0", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("190", "1", "1", "11", "6", "0", "1", "2003-07-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("191", "1", "1", "21", "2", "0", "0", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("192", "1", "1", "4", "20", "1", "1", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("193", "1", "1", "7", "11", "2", "0", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("194", "1", "1", "3", "14", "2", "0", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("195", "1", "1", "9", "16", "2", "1", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("196", "1", "1", "12", "24", "1", "1", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("197", "1", "1", "18", "8", "1", "0", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("198", "1", "1", "5", "22", "0", "2", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("199", "1", "1", "15", "23", "2", "1", "2003-07-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("200", "1", "1", "17", "13", "3", "1", "2003-07-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("201", "1", "1", "6", "1", "1", "0", "2003-07-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("202", "1", "1", "19", "10", "3", "0", "2003-07-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("203", "1", "1", "2", "12", "0", "0", "2003-07-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("204", "1", "1", "11", "15", "3", "0", "2003-07-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("205", "1", "1", "23", "18", "0", "2", "2003-07-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("206", "1", "1", "1", "9", "1", "0", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("207", "1", "1", "4", "5", "0", "1", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("208", "1", "1", "6", "16", "3", "0", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("209", "1", "1", "8", "17", "4", "2", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("210", "1", "1", "10", "22", "1", "3", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("211", "1", "1", "19", "3", "1", "0", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("212", "1", "1", "21", "14", "0", "2", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("213", "1", "1", "13", "7", "0", "1", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("214", "1", "1", "24", "20", "2", "0", "2003-07-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("215", "1", "1", "3", "21", "0", "0", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("216", "1", "1", "9", "11", "0", "2", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("217", "1", "1", "14", "24", "2", "2", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("218", "1", "1", "15", "1", "3", "3", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("219", "1", "1", "16", "8", "1", "2", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("220", "1", "1", "5", "10", "3", "0", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("221", "1", "1", "7", "23", "4", "1", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("222", "1", "1", "12", "4", "1", "1", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("223", "1", "1", "20", "19", "2", "1", "2003-07-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("224", "1", "1", "18", "13", "1", "1", "2003-07-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("225", "1", "1", "22", "2", "2", "0", "2003-07-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("226", "1", "1", "4", "14", "1", "0", "2003-07-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("227", "1", "1", "10", "20", "1", "4", "2003-07-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("228", "1", "1", "15", "8", "3", "0", "2003-07-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("229", "1", "1", "11", "1", "4", "3", "2003-07-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("230", "1", "1", "16", "18", "2", "0", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("231", "1", "1", "2", "3", "2", "1", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("232", "1", "1", "6", "9", "4", "3", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("233", "1", "1", "12", "21", "2", "1", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("234", "1", "1", "19", "5", "1", "1", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("235", "1", "1", "24", "22", "0", "2", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("236", "1", "1", "7", "17", "5", "1", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("237", "1", "1", "23", "13", "2", "0", "2003-07-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("238", "1", "1", "1", "16", "2", "1", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("239", "1", "1", "14", "2", "1", "0", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("240", "1", "1", "17", "11", "4", "1", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("241", "1", "1", "18", "7", "3", "0", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("242", "1", "1", "3", "4", "0", "0", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("243", "1", "1", "8", "23", "0", "0", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("244", "1", "1", "20", "12", "3", "3", "2003-07-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("245", "1", "1", "5", "24", "1", "1", "2003-07-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("246", "1", "1", "9", "15", "2", "1", "2003-07-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("247", "1", "1", "13", "6", "0", "2", "2003-07-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("248", "1", "1", "21", "10", "2", "0", "2003-07-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("249", "1", "1", "22", "19", "1", "2", "2003-07-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("250", "1", "1", "2", "18", "1", "1", "2003-07-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("251", "1", "1", "12", "1", "1", "1", "2003-07-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("252", "1", "1", "20", "23", "2", "1", "2003-07-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("253", "1", "1", "11", "19", "2", "3", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("254", "1", "1", "4", "13", "1", "0", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("255", "1", "1", "6", "5", "2", "3", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("256", "1", "1", "9", "22", "1", "1", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("257", "1", "1", "14", "8", "3", "0", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("258", "1", "1", "16", "10", "2", "1", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("259", "1", "1", "24", "17", "0", "3", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("260", "1", "1", "7", "3", "5", "2", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("261", "1", "1", "15", "21", "0", "0", "2003-07-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("262", "1", "1", "2", "20", "0", "2", "2003-07-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("263", "1", "1", "12", "19", "0", "0", "2003-07-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("264", "1", "1", "17", "6", "2", "1", "2003-07-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("265", "1", "1", "10", "7", "2", "2", "2003-08-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("266", "1", "1", "13", "20", "2", "0", "2003-08-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("267", "1", "1", "21", "16", "1", "1", "2003-08-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("268", "1", "1", "22", "15", "0", "2", "2003-08-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("269", "1", "1", "18", "14", "6", "1", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("270", "1", "1", "3", "6", "2", "2", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("271", "1", "1", "5", "11", "1", "1", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("272", "1", "1", "8", "12", "0", "1", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("273", "1", "1", "17", "4", "1", "1", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("274", "1", "1", "19", "9", "1", "1", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("275", "1", "1", "1", "24", "1", "0", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("276", "1", "1", "23", "2", "2", "1", "2003-08-03");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("277", "1", "1", "2", "17", "1", "0", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("278", "1", "1", "6", "21", "0", "1", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("279", "1", "1", "11", "10", "3", "1", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("280", "1", "1", "16", "19", "0", "0", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("281", "1", "1", "24", "18", "1", "1", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("282", "1", "1", "12", "23", "3", "1", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("283", "1", "1", "7", "22", "1", "1", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("284", "1", "1", "20", "1", "3", "3", "2003-08-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("285", "1", "1", "4", "8", "0", "1", "2003-08-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("286", "1", "1", "9", "3", "6", "0", "2003-08-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("287", "1", "1", "14", "13", "2", "0", "2003-08-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("288", "1", "1", "15", "5", "1", "0", "2003-08-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("289", "1", "1", "10", "6", "1", "1", "2003-08-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("290", "1", "1", "17", "20", "1", "2", "2003-08-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("291", "1", "1", "21", "7", "2", "0", "2003-08-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("292", "1", "1", "22", "16", "3", "1", "2003-08-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("293", "1", "1", "1", "4", "2", "3", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("294", "1", "1", "3", "11", "1", "0", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("295", "1", "1", "5", "9", "5", "0", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("296", "1", "1", "8", "24", "1", "2", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("297", "1", "1", "18", "12", "2", "2", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("298", "1", "1", "19", "15", "1", "4", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("299", "1", "1", "13", "2", "1", "1", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("300", "1", "1", "23", "14", "0", "0", "2003-08-10");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("301", "1", "1", "3", "15", "1", "3", "2003-08-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("302", "1", "1", "5", "16", "1", "0", "2003-08-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("303", "1", "1", "8", "20", "1", "0", "2003-08-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("304", "1", "1", "23", "24", "1", "0", "2003-08-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("305", "1", "1", "1", "2", "1", "2", "2003-08-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("306", "1", "1", "22", "6", "0", "0", "2003-08-16");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("307", "1", "1", "21", "11", "3", "0", "2003-08-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("308", "1", "1", "17", "14", "0", "0", "2003-08-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("309", "1", "1", "18", "4", "2", "2", "2003-08-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("310", "1", "1", "19", "7", "1", "3", "2003-08-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("311", "1", "1", "10", "9", "0", "1", "2003-08-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("312", "1", "1", "13", "12", "0", "1", "2003-08-17");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("313", "1", "1", "2", "8", "1", "2", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("314", "1", "1", "4", "23", "0", "0", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("315", "1", "1", "7", "5", "2", "2", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("316", "1", "1", "9", "21", "1", "0", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("317", "1", "1", "11", "22", "0", "2", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("318", "1", "1", "12", "17", "1", "0", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("319", "1", "1", "16", "3", "1", "0", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("320", "1", "1", "20", "18", "2", "0", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("321", "1", "1", "24", "13", "4", "1", "2003-08-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("322", "1", "1", "6", "19", "3", "0", "2003-08-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("323", "1", "1", "14", "1", "2", "2", "2003-08-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("324", "1", "1", "15", "10", "0", "1", "2003-08-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("325", "1", "1", "2", "11", "3", "1", "2003-08-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("326", "1", "1", "12", "7", "1", "0", "2003-08-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("327", "1", "1", "20", "9", "2", "1", "2003-08-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("328", "1", "1", "13", "21", "0", "0", "2003-08-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("329", "1", "1", "8", "5", "1", "2", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("330", "1", "1", "14", "6", "1", "0", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("331", "1", "1", "17", "10", "2", "0", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("332", "1", "1", "18", "19", "3", "2", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("333", "1", "1", "23", "22", "3", "2", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("334", "1", "1", "24", "16", "3", "0", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("335", "1", "1", "1", "3", "1", "0", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("336", "1", "1", "4", "15", "3", "1", "2003-08-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("337", "1", "1", "10", "13", "2", "0", "2003-08-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("338", "1", "1", "11", "20", "0", "0", "2003-08-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("339", "1", "1", "15", "24", "0", "1", "2003-08-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("340", "1", "1", "7", "14", "4", "1", "2003-08-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("341", "1", "1", "22", "18", "1", "0", "2003-08-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("342", "1", "1", "3", "17", "4", "2", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("343", "1", "1", "9", "4", "1", "0", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("344", "1", "1", "16", "12", "0", "2", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("345", "1", "1", "19", "8", "1", "1", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("346", "1", "1", "21", "23", "1", "0", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("347", "1", "1", "5", "1", "2", "2", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("348", "1", "1", "6", "2", "2", "0", "2003-08-31");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("349", "1", "1", "2", "7", "1", "4", "2003-09-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("350", "1", "1", "20", "6", "5", "2", "2003-09-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("351", "1", "1", "4", "11", "2", "0", "2003-09-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("352", "1", "1", "13", "3", "1", "1", "2003-09-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("353", "1", "1", "8", "22", "2", "2", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("354", "1", "1", "12", "15", "3", "1", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("355", "1", "1", "14", "16", "2", "0", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("356", "1", "1", "17", "5", "2", "3", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("357", "1", "1", "18", "21", "1", "0", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("358", "1", "1", "24", "9", "1", "0", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("359", "1", "1", "1", "19", "2", "0", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("360", "1", "1", "23", "10", "1", "0", "2003-09-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("361", "1", "1", "5", "13", "1", "0", "2003-09-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("362", "1", "1", "7", "20", "3", "0", "2003-09-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("363", "1", "1", "19", "17", "4", "0", "2003-09-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("364", "1", "1", "10", "18", "1", "1", "2003-09-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("365", "1", "1", "15", "14", "2", "0", "2003-09-20");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("366", "1", "1", "3", "23", "3", "0", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("367", "1", "1", "6", "4", "1", "0", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("368", "1", "1", "11", "24", "1", "0", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("369", "1", "1", "16", "2", "4", "0", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("370", "1", "1", "21", "8", "0", "2", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("371", "1", "1", "9", "12", "1", "1", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("372", "1", "1", "22", "1", "2", "2", "2003-09-21");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("373", "1", "1", "2", "15", "2", "1", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("374", "1", "1", "12", "11", "0", "1", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("375", "1", "1", "13", "19", "2", "2", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("376", "1", "1", "14", "9", "5", "3", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("377", "1", "1", "18", "3", "4", "0", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("378", "1", "1", "24", "6", "1", "1", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("379", "1", "1", "17", "22", "4", "2", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("380", "1", "1", "20", "16", "1", "1", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("381", "1", "1", "4", "7", "0", "1", "2003-09-24");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("382", "1", "1", "1", "21", "3", "1", "2003-09-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("383", "1", "1", "8", "10", "2", "2", "2003-09-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("384", "1", "1", "23", "5", "2", "1", "2003-09-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("385", "1", "1", "15", "20", "1", "0", "2003-09-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("386", "1", "1", "9", "2", "2", "1", "2003-09-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("387", "1", "1", "22", "13", "3", "1", "2003-09-27");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("388", "1", "1", "3", "8", "1", "1", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("389", "1", "1", "6", "12", "1", "0", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("390", "1", "1", "7", "24", "1", "0", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("391", "1", "1", "10", "1", "0", "1", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("392", "1", "1", "11", "14", "3", "0", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("393", "1", "1", "16", "4", "6", "1", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("394", "1", "1", "19", "23", "2", "2", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("395", "1", "1", "5", "18", "1", "0", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("396", "1", "1", "21", "17", "2", "0", "2003-09-28");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("397", "1", "1", "2", "10", "0", "0", "2003-10-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("398", "1", "1", "18", "15", "0", "0", "2003-10-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("399", "1", "1", "21", "19", "1", "0", "2003-10-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("400", "1", "1", "13", "8", "3", "1", "2003-10-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("401", "1", "1", "22", "20", "1", "2", "2003-10-04");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("402", "1", "1", "1", "23", "2", "1", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("403", "1", "1", "12", "3", "3", "1", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("404", "1", "1", "14", "5", "2", "1", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("405", "1", "1", "16", "11", "2", "2", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("406", "1", "1", "24", "4", "1", "2", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("407", "1", "1", "6", "7", "1", "3", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("408", "1", "1", "9", "17", "0", "3", "2003-10-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("409", "1", "1", "5", "12", "1", "0", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("410", "1", "1", "19", "2", "2", "2", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("411", "1", "1", "11", "13", "2", "2", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("412", "1", "1", "23", "16", "1", "1", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("413", "1", "1", "3", "22", "3", "0", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("414", "1", "1", "7", "9", "2", "0", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("415", "1", "1", "20", "14", "1", "1", "2003-10-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("416", "1", "1", "10", "24", "2", "0", "2003-10-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("417", "1", "1", "4", "21", "0", "3", "2003-10-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("418", "1", "1", "8", "1", "0", "1", "2003-10-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("419", "1", "1", "15", "6", "2", "0", "2003-10-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("420", "1", "1", "17", "18", "4", "2", "2003-10-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("421", "1", "1", "2", "5", "2", "0", "2003-10-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("422", "1", "1", "14", "19", "1", "3", "2003-10-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("423", "1", "1", "21", "20", "2", "2", "2003-10-11");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("424", "1", "1", "24", "3", "2", "1", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("425", "1", "1", "1", "7", "0", "1", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("426", "1", "1", "8", "6", "4", "2", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("427", "1", "1", "12", "10", "6", "1", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("428", "1", "1", "16", "17", "1", "1", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("429", "1", "1", "22", "4", "3", "0", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("430", "1", "1", "15", "13", "0", "1", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("431", "1", "1", "9", "23", "2", "1", "2003-10-12");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("432", "1", "1", "18", "11", "3", "0", "2003-10-15");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("433", "1", "1", "14", "10", "2", "0", "2003-10-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("434", "1", "1", "5", "3", "3", "2", "2003-10-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("435", "1", "1", "12", "22", "3", "1", "2003-10-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("436", "1", "1", "9", "18", "2", "0", "2003-10-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("437", "1", "1", "13", "1", "2", "2", "2003-10-18");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("438", "1", "1", "6", "23", "2", "1", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("439", "1", "1", "17", "15", "4", "0", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("440", "1", "1", "20", "2", "3", "2", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("441", "1", "1", "11", "8", "1", "1", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("442", "1", "1", "24", "21", "0", "0", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("443", "1", "1", "4", "19", "3", "0", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("444", "1", "1", "7", "16", "1", "2", "2003-10-19");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("445", "1", "1", "21", "5", "2", "0", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("446", "1", "1", "2", "24", "1", "2", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("447", "1", "1", "15", "7", "1", "0", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("448", "1", "1", "19", "12", "0", "2", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("449", "1", "1", "3", "20", "4", "7", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("450", "1", "1", "8", "9", "0", "0", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("451", "1", "1", "10", "4", "1", "0", "2003-10-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("452", "1", "1", "1", "17", "2", "2", "2003-10-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("453", "1", "1", "16", "13", "1", "2", "2003-10-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("454", "1", "1", "22", "14", "3", "3", "2003-10-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("455", "1", "1", "18", "6", "4", "0", "2003-10-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("456", "1", "1", "23", "11", "1", "1", "2003-10-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("457", "1", "1", "3", "10", "2", "2", "2003-10-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("458", "1", "1", "5", "20", "0", "4", "2003-10-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("459", "1", "1", "19", "24", "1", "1", "2003-10-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("460", "1", "1", "7", "8", "1", "0", "2003-10-25");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("461", "1", "1", "4", "2", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("462", "1", "1", "21", "22", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("463", "1", "1", "6", "11", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("464", "1", "1", "12", "14", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("465", "1", "1", "17", "23", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("466", "1", "1", "18", "1", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("467", "1", "1", "9", "13", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("468", "1", "1", "15", "16", NULL, NULL, "2003-10-26");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("469", "1", "1", "10", "19", NULL, NULL, "2003-11-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("470", "1", "1", "22", "5", NULL, NULL, "2003-11-01");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("471", "1", "1", "1", "6", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("472", "1", "1", "2", "21", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("473", "1", "1", "8", "18", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("474", "1", "1", "11", "7", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("475", "1", "1", "13", "17", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("476", "1", "1", "14", "3", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("477", "1", "1", "16", "9", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("478", "1", "1", "20", "4", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("479", "1", "1", "23", "15", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("480", "1", "1", "24", "12", NULL, NULL, "2003-11-02");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("481", "1", "1", "16", "6", NULL, NULL, "2003-11-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("482", "1", "1", "18", "23", NULL, NULL, "2003-11-05");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("483", "1", "1", "3", "19", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("484", "1", "1", "5", "4", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("485", "1", "1", "7", "13", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("486", "1", "1", "9", "1", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("487", "1", "1", "12", "2", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("488", "1", "1", "14", "21", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("489", "1", "1", "15", "11", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("490", "1", "1", "17", "8", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("491", "1", "1", "20", "24", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("492", "1", "1", "22", "10", NULL, NULL, "2003-11-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("493", "1", "1", "8", "16", NULL, NULL, "2003-11-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("494", "1", "1", "13", "18", NULL, NULL, "2003-11-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("495", "1", "1", "19", "20", NULL, NULL, "2003-11-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("496", "1", "1", "24", "14", NULL, NULL, "2003-11-08");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("497", "1", "1", "1", "15", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("498", "1", "1", "2", "22", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("499", "1", "1", "4", "12", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("500", "1", "1", "6", "17", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("501", "1", "1", "10", "5", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("502", "1", "1", "11", "9", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("503", "1", "1", "21", "3", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("504", "1", "1", "23", "7", NULL, NULL, "2003-11-09");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("505", "1", "1", "20", "10", NULL, NULL, "2003-11-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("506", "1", "1", "22", "24", NULL, NULL, "2003-11-22");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("507", "1", "1", "1", "11", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("508", "1", "1", "3", "2", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("509", "1", "1", "5", "19", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("510", "1", "1", "8", "15", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("511", "1", "1", "9", "6", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("512", "1", "1", "13", "23", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("513", "1", "1", "14", "4", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("514", "1", "1", "17", "7", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("515", "1", "1", "18", "16", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("516", "1", "1", "21", "12", NULL, NULL, "2003-11-23");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("517", "1", "1", "7", "18", NULL, NULL, "2003-11-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("518", "1", "1", "23", "8", NULL, NULL, "2003-11-29");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("519", "1", "1", "2", "14", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("520", "1", "1", "4", "3", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("521", "1", "1", "6", "13", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("522", "1", "1", "10", "21", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("523", "1", "1", "11", "17", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("524", "1", "1", "12", "20", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("525", "1", "1", "15", "9", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("526", "1", "1", "16", "1", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("527", "1", "1", "19", "22", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("528", "1", "1", "24", "5", NULL, NULL, "2003-11-30");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("529", "1", "1", "7", "10", NULL, NULL, "2003-12-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("530", "1", "1", "14", "18", NULL, NULL, "2003-12-06");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("531", "1", "1", "2", "23", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("532", "1", "1", "4", "17", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("533", "1", "1", "6", "3", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("534", "1", "1", "9", "19", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("535", "1", "1", "11", "5", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("536", "1", "1", "12", "8", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("537", "1", "1", "15", "22", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("538", "1", "1", "16", "21", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("539", "1", "1", "20", "13", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("540", "1", "1", "24", "1", NULL, NULL, "2003-12-07");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("541", "1", "1", "22", "9", NULL, NULL, "2003-12-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("542", "1", "1", "23", "20", NULL, NULL, "2003-12-13");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("543", "1", "1", "1", "12", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("544", "1", "1", "3", "7", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("545", "1", "1", "5", "6", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("546", "1", "1", "8", "14", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("547", "1", "1", "10", "16", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("548", "1", "1", "13", "4", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("549", "1", "1", "17", "24", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("550", "1", "1", "18", "2", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("551", "1", "1", "19", "11", NULL, NULL, "2003-12-14");
INSERT INTO jogo (id, campeonato, grupo, mandante, visitante, gol_m, gol_v, data) VALUES("552", "1", "1", "21", "15", NULL, NULL, "2003-12-14");


#
# Table structure for table 'tapetao'
#

DROP TABLE IF EXISTS tapetao;
CREATE TABLE tapetao (
  id int(10) unsigned NOT NULL auto_increment,
  campeonato int(10) unsigned default NULL,
  grupo int(10) unsigned default NULL,
  time int(10) unsigned default NULL,
  ponto int(10) default NULL,
  obs tinytext,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'tapetao'
#

INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("1", "1", "1", "15", "2", "Internacional 1 x 1 Ponte Preta");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("2", "1", "1", "19", "-1", "Internacional 1 x 1 Ponte Preta");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("3", "1", "1", "16", "3", "Ponte Preta 1 x 0 Juventude ");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("4", "1", "1", "4", "2", "Paysandu 2 x 2 Corinthians ");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("5", "1", "1", "18", "-1", "Paysandu 2 x 2 Corinthians ");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("6", "1", "1", "19", "-3", "Ponte Preta 1 x 0 Juventude");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("7", "1", "1", "19", "3", "Paysandu 3 x 2 Ponte Preta");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("8", "1", "1", "18", "-3", "Paysandu 3 x 2 Ponte Preta");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("9", "1", "1", "18", "-3", "Paysandu 1 x 0 So Caetano ");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("10", "1", "1", "21", "3", "Paysandu 1 x 0 So Caetano ");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("11", "1", "1", "10", "2", "Fluminense 1 x 1 Paysandu");
INSERT INTO tapetao (id, campeonato, grupo, time, ponto, obs) VALUES("12", "1", "1", "18", "-1", "Fluminense 1 x 1 Paysandu");


#
# Table structure for table 'time'
#

DROP TABLE IF EXISTS time;
CREATE TABLE time (
  id int(10) unsigned NOT NULL auto_increment,
  nome varchar(50) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'time'
#

INSERT INTO time (id, nome) VALUES("1", "Atltico MG");
INSERT INTO time (id, nome) VALUES("2", "Atltico PR");
INSERT INTO time (id, nome) VALUES("3", "Bahia");
INSERT INTO time (id, nome) VALUES("4", "Corinthians");
INSERT INTO time (id, nome) VALUES("5", "Coritiba");
INSERT INTO time (id, nome) VALUES("6", "Cricima");
INSERT INTO time (id, nome) VALUES("7", "Cruzeiro");
INSERT INTO time (id, nome) VALUES("8", "Figueirense");
INSERT INTO time (id, nome) VALUES("9", "Flamengo");
INSERT INTO time (id, nome) VALUES("10", "Fluminense");
INSERT INTO time (id, nome) VALUES("11", "Fortaleza");
INSERT INTO time (id, nome) VALUES("12", "Gois");
INSERT INTO time (id, nome) VALUES("13", "Grmio");
INSERT INTO time (id, nome) VALUES("14", "Guarani");
INSERT INTO time (id, nome) VALUES("15", "Internacional");
INSERT INTO time (id, nome) VALUES("16", "Juventude");
INSERT INTO time (id, nome) VALUES("17", "Paran");
INSERT INTO time (id, nome) VALUES("18", "Paysandu");
INSERT INTO time (id, nome) VALUES("19", "Ponte Preta");
INSERT INTO time (id, nome) VALUES("20", "Santos");
INSERT INTO time (id, nome) VALUES("21", "So Caetano");
INSERT INTO time (id, nome) VALUES("22", "So Paulo");
INSERT INTO time (id, nome) VALUES("23", "Vasco");
INSERT INTO time (id, nome) VALUES("24", "Vitria");
